GH-CODESPACE-VIEW(1)

NAME
gh-codespace-view - View details about a codespace

SYNOPSIS
gh codespace view [flags]

OPTIONS

-c, --codespace <string>
    Name of the codespace

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-R, --repo <string>
    Filter codespace selection by repository name (user/repo)

--repo-owner <string>
    Filter codespace selection by repository owner (username or org)

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

EXAMPLE
    # select a codespace from a list of all codespaces you own
    $ gh cs view

    # view the details of a specific codespace
    $ gh cs view -c codespace-name-12345

    # view the list of all available fields for a codespace
    $ gh cs view --json

    # view specific fields for a codespace
    $ gh cs view --json displayName,machineDisplayName,state

SEE ALSO
gh-codespace(1)